import Step from '../Step';
import ProjectSpecificsSelector from './ProjectSpecificsSelector' 
import StepInformation from '../StepInformation';
import staticText from '../../../assets/data/staticText.json'

export default function ProjectSpecificsStep(props) {
    const projectSpecificsInfoPanel = (
        <StepInformation
            title={staticText.steps.projectSpecifics.title}
            description={<p>{staticText.steps.projectSpecifics.description}</p>}
        />
    )

    const projectSpecificsSelectionPanel = (
        <ProjectSpecificsSelector {...props} />
    )

    return (
        <Step informationComponent={projectSpecificsInfoPanel} selectionComponent={projectSpecificsSelectionPanel} />
    )
}
